local M = {}
--[[
    Hello, this is the source code for the More Features Mod, you may look and modify stuff as you wish, 
    but you are not allowed to re-publish the mod or any code that you used in this without my permission.

    StinchinStein
]]--
local drivetrain = require("drivetrain")
local electrics = require("electrics")
local engine = require("engine")

M.batteryWarnTxt = false --Inc. of 10
M.batteryUsage = 0
M.batteryPercentage = 0
M.batteryChargeRate = 0
M.batteryDead = true
local function init()
    M.batteryPercentage = 100
    M.batteryUsage = 0
    M.batteryChargeRate = 0
end

local function update(dt)
	M.batteryUsage = 0

	if(electrics.values.lowbeam == 1) then
		M.batteryUsage = M.batteryUsage + 0.05
	end
	if(electrics.values.highbeam == 1) then
		M.batteryUsage = M.batteryUsage + 0.1
	end
	if(electrics.values.signal_R == 1) then
		M.batteryUsage = M.batteryUsage + 0.025
	end
	if(electrics.values.signal_L == 1) then
		M.batteryUsage = M.batteryUsage + 0.025
	end
	if(electrics.values.hazards == 1) then
		M.batteryUsage = M.batteryUsage + 0.05
	end
	if(MoreFeaturesMod.alarmOn) then
		M.batteryUsage = M.batteryUsage + 0.02
	end


	if(math.floor(M.batteryPercentage) % 10 == 0 and not M.batteryWarnTxt) then
		gui.message("Battery ".. math.floor(M.batteryPercentage) .."% Full", 5, "disp.battery")
		M.batteryWarnTxt = true
	end

	if(math.floor(M.batteryPercentage) % 10 ~= 0) then
		M.batteryWarnTxt = false
	end

	if(M.batteryPercentage > 100) then 
		M.batteryChargeRate = 0 
		M.batteryPercentage = 100 
	end
	if(M.batteryPercentage < 0) then 
		M.batteryUsage = 0 
		M.batteryPercentage = 0 
	end

	if(M.batteryPercentage > 5) then
		M.batteryDead = false
	else
		M.batteryDead = true
	end

	M.batteryPercentage = M.batteryPercentage - (M.batteryUsage / 100) + M.batteryChargeRate
	if(not MoreFeaturesMod.EngineSystem.engineIsOff) then
		M.batteryChargeRate = 12 / 18140
	else
		M.batteryChargeRate = 0
	end
end



M.init = init
M.update = update

return M